Bug 252182 - livecd-creator kills ypbind
livecd-creator kills ypbind
Product: Fedora
Classification: Fedora
Component: livecd-tools (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-08-14 11:58 EDT by Andrew Overholt
Modified: 2013-03-05 22:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-27 15:49:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Andrew Overholt 2007-08-14 11:58:12 EDT
Description of problem:
Something in the livecd-creator process kills my system's ypbind service.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Have ypbind running; verify you can log in via NIS
2. sudo livecd-creator --config=fedora-development.ks --fslabel=andrew-20070313
Actual results:
ypbind stops

Expected results:
ypbind doesn't die

Additional info:
Is there a log somewhere I should look at?  Ben Konrath says he had the same
problems when using Kadischi back in the day.
Comment 1 Jeremy Katz 2007-08-14 13:11:58 EDT
I haven't seen this, and ypbind is running on my box that I build live images on
all the time.  And just tried again and it's fine.  What are you installing? 
Anything weird in your %post?
Comment 2 Andrew Overholt 2007-08-14 13:19:31 EDT
It fails when I use /usr/share/livecd-tools/livecd-fedora-desktop.ks, too.
Comment 3 Jeremy Katz 2007-08-14 13:50:46 EDT
Can you try to figure out when it's being killed?  It it before/after packages
being installed?  Any avcs from SELinux?
Comment 4 Tom Horsley 2007-09-05 12:21:04 EDT
Some folks have been using my fedora 7 box to build some custom live CDs,
and I've noticed ypbind problems as well. It doesn't seem like it actually
kills ypbind, it seems more like ypbind winds up running, but with all its
config info lost. Perhaps installing the rpms in the alternate root restarts
ypbind with the missing config info that the chroot has, so the config info
on the "real" machine disappears?

There are other more minor leakages from the livecd build process into the
real machine - things like syslog messages telling me about all the new
users created by various packages installed in the livecd root. It is
difficult to sort these out from the "real" syslog messages. It would be
nice to have a stronger jail to build the new root in :-).
Comment 5 Bug Zapper 2008-04-04 09:35:52 EDT
Based on the date this bug was created, it appears to have been reported
during the development of Fedora 8. In order to refocus our efforts as
a project we are changing the version of this bug to '8'.

If this bug still exists in rawhide, please change the version back to
(If you're unable to change the bug's version, add a comment to the bug
and someone will change it for you.)

Thanks for your help and we apologize for the interruption.

The process we're following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Jeremy Katz 2008-05-27 15:49:19 EDT
I haven't seen this with current runs under later Fedora releases.  If someone
is still seeing it with Fedora 9, please reopen and we'll try to dig some more

Note You need to log in before you can comment on or make changes to this bug.